Subject: Re: linux-next: manual merge of the tip tree with the cpupower tree

From: Shuah Khan <[email-masked]>
Date: Mon, 30 Nov 2020 13:53:24 -0700

On 11/22/20 7:42 PM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tip tree got a conflict in:
> 
>    tools/power/cpupower/utils/helpers/misc.c
> 
> between commit:
> 
>    748f0d70087c ("cpupower: Provide online and offline CPU information")
> 
> from the cpupower tree and commit:
> 
>    8113ab20e850 ("tools/power/cpupower: Read energy_perf_bias from sysfs")
> 
> from the tip tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 

Thanks. Fix looks good to me. I will mention it in my pull
request to Rafael.

thanks,
--Shuah